/* Dclaration des constantes */

#define COM1 	0x3F8
#define COM2 	0x2F8
#define COM3 	0x3E8
#define COM4 	0x2E8
#define S1200	1200
#define S2400	2400
#define S4800	4800
#define S9600	9600
#define S19200  19200
#define TXBUF	0
#define RXBUF	0
#define DIVLSB	0
#define DIVMSB	1
#define LCR	3
#define MCR	4
#define LSR	5
#define MSR	6
#define IER	1

/* Dclarations des prototypes de fonctions */

/* Envoie un caractre sur la liaison srie */
  void 		 sendbyte    (unsigned char c);
/* Attend rception d'un caractre sur la liaison srie. Si aucun
caractre n'est reu ds les MAXTIME secondes, renvoie -1 */
  int		 getbyte     (void);
/* Initialise le port srie choisi */
  void 		 setcom      (int com_adr, int speed);
/* Renvoie 1 si le buffer de rception contient un ou plusieurs caractres */
  int 		 rxd_full    (void);
/* Prend un caractre au vol sur la liaison srie */
  unsigned char  rxd_read    (void);
/* Initialise la variable com_adr */
 void		 setport     (int com_adr, int port);